import { ColorSchemeType, ResolvedColorSchemeType } from "./types";
/** @internal */
export interface ThemeStoreType {
    /** theme */
    t: string;
    /** darkTheme */
    d: string;
    /** lightTheme */
    l: string;
    /** colorSchemePref */
    c: ColorSchemeType;
    /** systemColorScheme */
    s: ResolvedColorSchemeType;
    /** forced theme */
    f?: string;
    /** forced colorScheme */
    fc?: ColorSchemeType;
}
/** @internal */
export declare const initialState: ThemeStoreType;
export declare const UNDEFINED = "undefined";
/** @internal store */
export declare const useThemeStore: (targetSelector?: string) => [ThemeStoreType, import("r18gs").SetStateAction<ThemeStoreType>];
